extern crate clap;

use clap_complete::Shell;

include!("src/cli.rs");

fn main() {
    let Some(outdir) = std::env::var_os("OUT_DIR") else { return };
    let mut app = build();
    clap_complete::generate_to(Shell::Bash, &mut app, "i2cmd", outdir.clone()).unwrap();
    clap_complete::generate_to(Shell::Zsh, &mut app, "i2cmd", outdir).unwrap();
}
